| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CpuGroupEntry Struct Reference
Call Pickup Group

Call Pickup Group Entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__BGName | BGName
| Business Group Name. More...
xsd__int | CpuGroupId
| The BG-wide unique Call Pickup group Id. More...
xsd__int | LocalMemberCount
| Number of Local Members. More...
xsd__int | RemoteMemberCount
| Number of Remote Members. More...
xsd__int | TotalMemberCount
| Number of Total Members. More...
xsd__int * | NotificationDelayTimer
| Notification Delay Timer. More...
wchar_t * | CpuGroupName
| Call Pickup Group Name in Unicode format. More...
enum unsp__CpuGroupCIDPresentation * | CIDPresentation
| Indicates whether Caller ID Presentation is allowed. More...
unsp__ServiceId | WaitingQueueDN
| Waiting queue for the CPU group required: true default value[range]: NA [1..15]. More...

## Detailed Description

Call Pickup Group Entry.

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__CpuGroupEntry::BGName

Business Group Name.

See also
  unsp__BGName

## ◆ CIDPresentation

enum unsp__CpuGroupCIDPresentation* unsp__CpuGroupEntry::CIDPresentation

Indicates whether Caller ID Presentation is allowed.

default value[range]: CpuGroupCIDPresentationAllowed

## ◆ CpuGroupId

xsd__int unsp__CpuGroupEntry::CpuGroupId

The BG-wide unique Call Pickup group Id.

default value[range]: NA [1..10000]

## ◆ CpuGroupName

wchar_t* unsp__CpuGroupEntry::CpuGroupName

Call Pickup Group Name in Unicode format.

default value[range]: NA [1..24]

## ◆ LocalMemberCount

xsd__int unsp__CpuGroupEntry::LocalMemberCount

Number of Local Members.

## ◆ NotificationDelayTimer

xsd__int* unsp__CpuGroupEntry::NotificationDelayTimer

Notification Delay Timer.

default value[range]: NA [0..60]

## ◆ RemoteMemberCount

xsd__int unsp__CpuGroupEntry::RemoteMemberCount

Number of Remote Members.

## ◆ TotalMemberCount

xsd__int unsp__CpuGroupEntry::TotalMemberCount

Number of Total Members.

## ◆ WaitingQueueDN

unsp__ServiceId unsp__CpuGroupEntry::WaitingQueueDN

Waiting queue for the CPU group
required: true
default value[range]: NA [1..15].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h